%global project bench

Name:             python-%project
Version:          4.1
Release:          1%{?dist}
Summary:          Command line tool to admin Frappe apps
License:          GPLv3+
URL:              https://github.com/frappe/bench
Source0:          https://github.com/frappe/bench/archive/%{version}.tar.gz
Patch0:           epel_7_pip_fix.patch

BuildArch:        noarch

BuildRequires:    python2-devel
BuildRequires:    python-setuptools

Requires:         python-click
Requires:         python-jinja2
Requires:         python-virtualenv
Requires:         python-requests
Requires:         python-honcho
Requires:         python-psutil
Requires:         python-crontab
Requires:         python-semantic_version
Requires:         GitPython


%description
The bench allows you to setup Frappe apps on your local Linux machine
or a production server. You can use the bench to serve multiple frappe sites.

%prep
%setup -q -n %project-%version
%if 0%{?el7}
%patch0 -p0
%endif

%build
%py2_build

%install
%py2_install

%files
%doc README.md
%license LICENSE.md
%{python2_sitelib}/*
%{_bindir}/bench

%changelog
* Mon Jul 24 2017 Dan Čermák <dan.cermak@cgc-instruments.com> - 4.1-1
- Bump version to 4.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 27 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.92-3
- Initial Import of #1228943
